#version 150

const vec4 color1=vec4(0.02,0.02,0.02,0.2);
const vec4 color2=vec4(0.15,0.35,0.15,0.9);

#include "ShaderFInterface.glsl"
#include "ShaderFFunctions.glsl"

const vec3 dP=vec3(2.0,2.0,2.0);

void main(void) {
  float fogin=clamp(fog,0,1);
  float noise=noiseA(position);
  out_Color =clamp((mix(fogcolor,I*mixColor(noise),fogin)),0,1);
}	
